<!DOCTYPE html>
<html lang="zh-TW">
<head>
	<meta charset="utf-8">
	<meta http-equiv="Content-Language" content="zh-TW">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
	<title>外幣換算</title>

  <!-- Google Tag Manager -->
  <script>(function (w, d, s, l, i) {
		w[l] = w[l] || []; w[l].push({
		  'gtm.start':
			new Date().getTime(), event: 'gtm.js'
		}); var f = d.getElementsByTagName(s)[0],
		  j = d.createElement(s), dl = l != 'dataLayer' ? '&l=' + l : ''; j.async = true; j.src =
			'https://www.googletagmanager.com/gtm.js?id=' + i + dl; f.parentNode.insertBefore(j, f);
	  })(window, document, 'script', 'dataLayer', 'GTM-5K535M9');</script>
	<!-- End Google Tag Manager -->

	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css">
	<!--[if lt IE 9]>
			<script src="https://cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv.min.js"></script>
			<script src="https://cdnjs.cloudflare.com/ajax/libs/respond.js/1.4.2/respond.min.js"></script>
		<![endif]-->

	<!-- vue -->
	<script src="https://stackpath.bootstrapcdny6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>

	<!-- bootstrap-select -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.7/dist/css/bootstrap-select.min.css">

	<!-- font-awesome -->
	<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet"/>


	<!-- style -->
	<link rel="stylesheet" href="css/style.css">

	<style>

		.bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
			width: 100%;
		}

		.Btn__exchange {
			width: auto;
			height: auto;
			color: #FFF !important;
			text-decoration: none;
			display: block;
			cursor: pointer;
			padding: 3px 16px;
		}

		.bootstrap-select.btn-group .dropdown-toggle .caret {
		width: 20px;
		height: 20px;
		border: none;
		/* font-family: 'Glyphicons Halflings'; */
		font-family: "FontAwesome";
	}

	.bootstrap-select.btn-group .dropdown-toggle .caret:before {
    /* background: url(http://cdn1.iconfinder.com/data/icons/cc_mono_icon_set/blacks/16x16/br_down.png) no-repeat right #ddd; */
		/* content: "\e003"; */
		/* content: "\e114";  */
    content: "\f078";
		/* background-color: aqua; */
		/* background: url(css/br_down.png) no-repeat 98%, #fff; */
		font-size: 20px;
		color: #3e3a39;
	}

.bootstrap-select .dropdown-toggle .caret {
    position: absolute;
    top: 50%;
    right: 5px;
    margin-top: -14px;
    vertical-align: middle;
}


	</style>
</head>

<body>

  <!-- Google Tag Manager (noscript) -->
  <noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-5K535M9" height="0" width="0"
	style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

	<div id="content">
		<div id="app">
			<div class="container">

				<!-- 標題 -->
				<div class="exchange__head">
					<div class=title><h2>外幣換算</h2></div>
				</div>

				<div class="exchange">

					<form action="" class="form-horizontal">

						<!-- 欄位一 -->
						<div class="select__currency">
							<select class="selectpicker countrypicker" data-live-search="true" data-default="新台幣 TWD" data-flag="true"></select>
						</div>

						<!-- 轉換icon -->
						<div class="icon__exchange">
								<button  class="glyphicon glyphicon-retweet btn-gray btn-large btn-converter"></button>
					    </div>

						<!-- 欄位二 -->
						<div class="select__currency2">
							<select class="selectpicker countrypicker" data-live-search="true" data-default="美元 USD" data-flag="true"></select>
						</div>

						<!-- 輸入金額 -->
						<div class="form__money">
							<input class="form-control txt" type="money" v-model.number="income" placeholder="請輸入欲換算金額" id="input1">
						</div>

						<!-- 換算按鈕 -->
						<div class="btn__sumbit">
							<button @click="calculated" value="換算" type="button" 
								class="btn btn-danger btn-lg btn-block info Btn__exchange" id="sumbit">
									換算
							</button>
						</div>

					</div>

					<!-- 計算結果 -->
					<div class="exchange__result" id="result">

							<div class="result__title">計算結果</div>

							<div class="result__money">
									<div class="result__input">
										<input type="text2" v-model="formatPrice(finalResult)" :class="{'noColor': isShow}"> 
									</div>
									<div class="result__txt">USD</div>
						    </div>


							<div class="result__note">
									<span class="note__txt">1</span>
									<span class="note__txt">新台幣</span>
									<span class="note__txt">＝</span>
									<span class="note__txt">0.03221</span>
									<span class="note__txt">美元</span>
							</div>

					</div>

					<!-- 掛牌時間 -->
					<div class="col-xs-12 col-sm-12 desc">
							<div class="row">
								<div class="txt__red">牌價依臺銀最新牌告匯率。結果僅提供參考，實際匯率以交易當時匯率為準。</div>
								<div class="desc__txt">資料來源：Comeny 全曜財經資訊</div>
							</div>
					</div>		

				</form>
				
			</div>
		</div>
	</div>

<div class="spacing-medium"></div>

	<!-- jquery -->
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js" type="text/javascript"></script>

	<!-- bootstrap -->
	<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js"></script>

	<!-- bootstrap-select -->
	<script src="js/bootstrap-select.js"></script>

	<!-- countrypicker -->
	<script src="js/countrypicker.js"></script>

	<!-- iframeAutoHeight -->
	<script src="https://money.udn.com/SSI/js/iframeAutoHeight.js"></script> 
	<script>
		var url = "https://money.udn.com/SSI/iframe_agent.html";
		initAgent(url);
		setInterval("callAgent(url)", 1500);
	</script>
	
</body>
</html>